%define	upstream_name	 XML-Parser
%define	upstream_version 2.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A perl module for parsing XML documents
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    https://uucode.com/xml/perl/enc.tar.bz2

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(warnings)
BuildRequires: chrpath
BuildRequires: pkgconfig(expat) >= 2.0.1
BuildRequires: perl-devel
BuildRequires: perl-libwww-perl
%{?perl_default_filter}

%description
This module provides ways to parse XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library. Each call to one of the parsing methods creates
a new instance of XML::Parser::Expat which is then used to parse the
document. Expat options may be provided when the XML::Parser object is
created. These options are then passed on to the Expat object on each
parse call. They can also be given as extra arguments to the parse
methods, in which case they override options given at XML::Parser
creation time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}-%{upstream_version} -T -D -a 1
%autopatch -p0

%build
%define Werror_cflags %{nil}
perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%install
%make_install
install -m 644 enc/koi8-r.enc %{buildroot}%{perl_vendorarch}/XML/Parser/Encodings
chmod +w   %{buildroot}%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/*/*
%{perl_vendorarch}/XML/Parser*
%{perl_vendorarch}/auto/XML/Parser*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.470.0-3.mga10
+ Revision: 2226651
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 2.470.0-2.mga10
+ Revision: 2089002
- Rebuild for perl-5.40

* Mon Jan 01 2024 tv <tv> 2.470.0-1.mga10
+ Revision: 2025553
- update to 2.47

* Wed Nov 29 2023 tv <tv> 2.460.0-8.mga10
+ Revision: 2011402
- Rebuild for perl-5.38
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.460.0-6.mga9
+ Revision: 1862617
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.460.0-5.mga9
+ Revision: 1795440
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 2.460.0-4.mga9
+ Revision: 1726289
- rebuild for rebuild for perl-5.34.0
+ tv <tv>
- Enhanced description

* Wed Jun 17 2020 umeabot <umeabot> 2.460.0-3.mga8
+ Revision: 1595309
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 2.460.0-2.mga8
+ Revision: 1534011
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 tv <tv> 2.460.0-1.mga8
+ Revision: 1446656
- update to 2.46

* Mon Aug 26 2019 tmb <tmb> 2.440.0-15.mga8
+ Revision: 1432438
- rebuild for perl-5.30.0-4.mga8

* Fri Sep 21 2018 umeabot <umeabot> 2.440.0-14.mga7
+ Revision: 1294067
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 tmb <tmb> 2.440.0-13.mga7
+ Revision: 1247408
- rebuild for perl 5.28

* Sun Apr 15 2018 daviddavid <daviddavid> 2.440.0-12.mga7
+ Revision: 1219044
- rebuild for new perl 5.26.2

* Tue Oct 03 2017 tv <tv> 2.440.0-11.mga7
+ Revision: 1167461
- rebuild with fixed rpm for missing autodeps

* Wed Aug 30 2017 pterjan <pterjan> 2.440.0-10.mga7
+ Revision: 1148493
- Rebuild with a higher release as there used to be a -9

* Sat Jul 22 2017 neoclust <neoclust> 2.440.0-9.mga7
+ Revision: 1127469
- Rebuild against new Perl 5.26

* Fri Jul 21 2017 tv <tv> 2.440.0-8.mga7
+ Revision: 1126400
- rebuild for perl 5.26

* Fri Jul 21 2017 shlomif <shlomif> 2.440.0-7.mga7
+ Revision: 1126269
- rebuild for new perl 5.26.0
+ tv <tv>
- rebuild for perl 5.26

* Fri Jul 21 2017 tv <tv> 2.440.0-5.1.mga7
+ Revision: 1126193
- rebuild for perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.440.0-5.mga6
+ Revision: 1036039
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.440.0-4.mga6
+ Revision: 958251
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.440.0-3.mga6
+ Revision: 845570
- rebuild for soname-ifed perl

* Tue Jun 23 2015 fwang <fwang> 2.440.0-2.mga6
+ Revision: 840427
- rebuild for perl-5.22

* Mon Jun 22 2015 sander85 <sander85> 2.440.0-1.mga6
+ Revision: 838645
- update to 2.44

* Wed Oct 15 2014 umeabot <umeabot> 2.410.0-9.mga5
+ Revision: 747956
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.410.0-8.mga5
+ Revision: 732653
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.410.0-7.mga5
+ Revision: 686946
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.410.0-6.mga5
+ Revision: 524568
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.410.0-5.mga4
+ Revision: 431014
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.410.0-4.mga4
+ Revision: 429915
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.410.0-3.mga3
+ Revision: 375101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 2.410.0-2.mga3
+ Revision: 283421
- Rebuild for new perl

* Wed Jun 15 2011 jquelin <jquelin> 2.410.0-1.mga2
+ Revision: 107591
- update to 2.41

* Sun Jun 12 2011 ahmad <ahmad> 2.400.0-3.mga2
+ Revision: 104561
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 2.400.0-2.mga1
+ Revision: 23275
- rebuild for new perl
+ jquelin <jquelin>
- imported package perl-XML-Parser

